kill @e[type=minecraft:marker,tag=SurfaceCheck,scores={TimerMobAge=2..}]

function runechant:mob/status_effects/apply
execute if score @s TagClear matches 1.. run function runechant:mob/status_effects/remove_all
execute if score @s TagClear matches 1.. run scoreboard players reset @s TagClear

execute if dimension runechant:enchanters_nexus if entity @s[gamemode=survival] run gamemode adventure
execute unless dimension runechant:enchanters_nexus if entity @s[gamemode=adventure] run gamemode survival

execute if dimension runechant:enchanters_nexus unless score *Load EnchanterBuild matches 21.. run scoreboard players add *Load EnchanterBuild 1
execute if dimension runechant:enchanters_nexus if score *Load EnchanterBuild matches 15.. run function runechant:static/nexus/build
execute if dimension runechant:enchanters_nexus if score *Load EnchanterBuild matches 21.. run scoreboard objectives remove EnchanterBuild

scoreboard objectives add TitleCheck dummy
execute unless score @s TitleCheck matches 1.. run title @s times 0t 60t 20t
execute unless score @s TitleCheck matches 1.. run scoreboard players set @s TitleCheck 1

execute if dimension minecraft:overworld if score *TimerWorldAge Runechant_Timers matches 24000.. run scoreboard players add @s AffinityPotSpawn 1
execute if dimension minecraft:overworld if score *TimerWorldAge Runechant_Timers matches 120000.. run scoreboard players add @s AffinityPotSpawn 1
execute if dimension minecraft:overworld if score *TimerWorldAge Runechant_Timers matches 240000.. run scoreboard players add @s AffinityPotSpawn 1
execute if dimension minecraft:overworld if score *TimerWorldAge Runechant_Timers matches 480000.. run scoreboard players add @s AffinityPotSpawn 1
execute if dimension minecraft:overworld if score *TimerWorldAge Runechant_Timers matches 1200000.. run scoreboard players add @s AffinityPotSpawn 1
execute if dimension minecraft:overworld if score *TimerWorldAge Runechant_Timers matches 2400000.. run scoreboard players add @s AffinityPotSpawn 1

execute if dimension minecraft:overworld if score @s TimerAliveFor matches 24000.. run scoreboard players add @s AffinityPotSpawn 1
execute if dimension minecraft:overworld if score @s TimerAliveFor matches 120000.. run scoreboard players add @s AffinityPotSpawn 1
execute if dimension minecraft:overworld if score @s TimerAliveFor matches 240000.. run scoreboard players add @s AffinityPotSpawn 1
execute if dimension minecraft:overworld if score @s TimerAliveFor matches 480000.. run scoreboard players add @s AffinityPotSpawn 1
execute if dimension minecraft:overworld if score @s TimerAliveFor matches 1200000.. run scoreboard players add @s AffinityPotSpawn 1
execute if dimension minecraft:overworld if score @s TimerAliveFor matches 2400000.. run scoreboard players add @s AffinityPotSpawn 1

execute if dimension minecraft:overworld if score @s AffinityPotOffering matches 10.. run scoreboard players add @s AffinityPotSpawn 1
execute if dimension minecraft:overworld if score @s AffinityPotOffering matches 20.. run scoreboard players add @s AffinityPotSpawn 2
execute if dimension minecraft:overworld if score @s AffinityPotOffering matches 30.. run scoreboard players add @s AffinityPotSpawn 3
execute if dimension minecraft:overworld if score @s AffinityPotOffering matches 40.. run scoreboard players add @s AffinityPotSpawn 4
execute if dimension minecraft:overworld if score @s AffinityPotOffering matches 50.. run scoreboard players add @s AffinityPotSpawn 5
execute if dimension minecraft:overworld if score @s AffinityPotOffering matches 60.. run scoreboard players add @s AffinityPotSpawn 6
execute if dimension minecraft:overworld if score @s AffinityPotOffering matches 70.. run scoreboard players add @s AffinityPotSpawn 7
execute if dimension minecraft:overworld if score @s AffinityPotOffering matches 80.. run scoreboard players add @s AffinityPotSpawn 8
execute if dimension minecraft:overworld if score @s AffinityPotOffering matches 90.. run scoreboard players add @s AffinityPotSpawn 9
execute if dimension minecraft:overworld if score @s AffinityPotOffering matches 100.. run scoreboard players add @s AffinityPotSpawn 10

execute unless dimension runechant:enchanters_nexus if score @s AffinityPotOffering > RNG RNG_Variable if score @s AffinityPotSpawn matches 72000.. positioned ~ 0 ~ unless entity @e[type=minecraft:marker,tag=AffinitySpawn,distance=..32] run function runechant:player/misc/spawn_affinity_pot

execute unless dimension runechant:enchanters_nexus unless entity @e[type=minecraft:marker,tag=area_difficulty,distance=..64] run summon minecraft:marker ~ ~ ~ {Tags:["area_difficulty"]}

function runechant:player/misc/surface_check

data modify storage runechant_root runechant set from entity @s

data modify storage runechant_attributes runechant set from storage runechant_root runechant.Attributes
data modify storage runechant_food runechant set from storage runechant_root runechant.foodLevel
data modify storage runechant_effects runechant set from storage runechant_root runechant.active_effects
data modify storage runechant_onfire runechant set from storage runechant_root runechant.Fire
data modify storage runechant_selected_item runechant set from storage runechant_root runechant.SelectedItem
data modify storage runechant_slot100 runechant set from storage runechant_root runechant.Inventory[{Slot:100b}]
data modify storage runechant_slot101 runechant set from storage runechant_root runechant.Inventory[{Slot:101b}]
data modify storage runechant_slot102 runechant set from storage runechant_root runechant.Inventory[{Slot:102b}]
data modify storage runechant_slot103 runechant set from storage runechant_root runechant.Inventory[{Slot:103b}]
data modify storage runechant_slot106 runechant set from storage runechant_root runechant.Inventory[{Slot:-106b}]
data modify storage runechant_slot9 runechant set from storage runechant_root runechant.Inventory[{Slot:9b}]
data modify storage runechant_slot10 runechant set from storage runechant_root runechant.Inventory[{Slot:10b}]
data modify storage runechant_slot11 runechant set from storage runechant_root runechant.Inventory[{Slot:11b}]
data modify storage runechant_slot12 runechant set from storage runechant_root runechant.Inventory[{Slot:12b}]
data modify storage runechant_slot13 runechant set from storage runechant_root runechant.Inventory[{Slot:13b}]
data modify storage runechant_inventory runechant set from storage runechant_root runechant.Inventory

function runechant:player/advancements/beginning
function runechant:player/advancements/unlocks
function runechant:player/advancements/nexus
execute if entity @s[advancements={runechant:alchemy/root=true}] run function runechant:player/advancements/brewing
execute if entity @s[advancements={runechant:collection_log/root=true}] run function runechant:player/advancements/collection
execute if entity @s[advancements={runechant:labrinth/root=true}] run function runechant:player/advancements/labrinth
execute if entity @s[advancements={runechant:physical_crafting/root=true}] run function runechant:player/advancements/physical
execute if entity @s[advancements={runechant:magic/root=true}] run function runechant:player/advancements/runechanting
execute if entity @s[advancements={runechant:sculk_crafting/root=true}] run function runechant:player/advancements/sculk
execute if entity @s[advancements={runechant:world/root=true}] run function runechant:player/advancements/world
function runechant:player/misc/icons

function runechant:player/attribute_bonuses/selected_item
function runechant:player/attribute_bonuses/slot100
function runechant:player/attribute_bonuses/slot101
function runechant:player/attribute_bonuses/slot102
function runechant:player/attribute_bonuses/slot103
function runechant:player/attribute_bonuses/slot106

function runechant:player/attribute_bonuses/half_plating/slot100
function runechant:player/attribute_bonuses/half_plating/slot101
function runechant:player/attribute_bonuses/half_plating/slot102
function runechant:player/attribute_bonuses/half_plating/slot103

function runechant:player/attribute_bonuses/full_plating/slot100
function runechant:player/attribute_bonuses/full_plating/slot101
function runechant:player/attribute_bonuses/full_plating/slot102
function runechant:player/attribute_bonuses/full_plating/slot103

execute if data storage minecraft:runechant_slot10 {runechant:{Item:{id:"minecraft:enchanted_book",tag:{display:{Name:'{"text":"Runecarver\'s Jewel","color":"gold","italic":false,"bold":false}'}}}}} run function runechant:player/jewel_passives/jewel_check

execute if data storage minecraft:runechant_slot9 {runechant:{id:"minecraft:bundle",Count:1b,tag:{Enchantments:[{}],display:{Name:'{"text":"Enchanted Satchel","italic":false,"color":"gold"}'}}}} run tag @s add slot9bonus

execute if entity @s[tag=slot9bonus] run function runechant:player/attribute_bonuses/slot9

execute if data storage minecraft:runechant_slot11 {runechant:{id:"minecraft:bundle",Count:1b,tag:{Enchantments:[{}],display:{Name:'{"text":"Ancient Satchel","italic":false,"color":"gold"}'}}}} run tag @s add slot11bonus 

execute if entity @s[tag=slot11bonus] run function runechant:player/attribute_bonuses/slot11

execute unless data storage minecraft:runechant_slot9 {runechant:{id:"minecraft:bundle",Count:1b,tag:{Enchantments:[{}],display:{Name:'{"text":"Enchanted Satchel","italic":false,"color":"gold"}'}}}} if entity @s[tag=slot9bonus] run function runechant:player/attribute_bonuses/slot9_remove

execute unless data storage minecraft:runechant_slot11 {runechant:{id:"minecraft:bundle",Count:1b,tag:{Enchantments:[{}],display:{Name:'{"text":"Ancient Satchel","italic":false,"color":"gold"}'}}}} if entity @s[tag=slot11bonus] run function runechant:player/attribute_bonuses/slot11_remove

execute if data storage minecraft:runechant_slot100 {runechant:{tag:{Trim:{}}}} if data storage minecraft:runechant_slot101 {runechant:{tag:{Trim:{}}}} if data storage minecraft:runechant_slot102 {runechant:{tag:{Trim:{}}}} if data storage minecraft:runechant_slot103 {runechant:{tag:{Trim:{}}}} run function runechant:player/armor_sets/set_check

execute if data storage minecraft:runechant_slot101 {runechant:{tag:{Trim:{pattern:"minecraft:piglin_belt"}}}} run function runechant:player/armor_sets/patterns/piglin_belt

execute if data storage minecraft:runechant_slot101 {runechant:{tag:{Trim:{pattern:"minecraft:piglin_belt"}}}} unless data storage minecraft:runechant_inventory {runechant:[{Slot:102b}]} run function runechant:player/armor_sets/patterns/piglin_belt


function runechant:player/nexus/item_check

function runechant:player/seasons/controller_check

function runechant:player/weapon_poisons/mainhand_particles
execute if score @s StatusApply matches 1.. if score @s LuckCheck >= RNG RNG_Variable run function runechant:player/weapon_poisons/status_effects_apply
execute if score @s CopperFlaskUse matches 50.. run function runechant:player/weapon_poisons/status_effects_clear_item

function runechant:player/consumables/inventory_check

function runechant:player/passive_abilities/skills

function runechant:player/weapon_skills/weapon_triggers

execute unless data storage minecraft:runechant_slot10 {runechant:{tag:{display:{Lore:['[{"text":"Silencing Stone","color":"gold","italic":false}]']}}}} run function runechant:player/enchants/passive/trigger_1
execute unless data storage minecraft:runechant_slot10 {runechant:{tag:{display:{Lore:['[{"text":"Silencing Stone","color":"gold","italic":false}]']}}}} run function runechant:player/enchants/passive/trigger_2
execute unless data storage minecraft:runechant_slot10 {runechant:{tag:{display:{Lore:['[{"text":"Silencing Stone","color":"gold","italic":false}]']}}}} run function runechant:player/enchants/passive/trigger_3

execute if data storage minecraft:runechant_selected_item {runechant:{id:"minecraft:enchanted_book",tag:{Trim:{}}}} if data storage minecraft:runechant_inventory {runechant:[{id:"minecraft:lapis_lazuli"}]} run function runechant:player/affinity/magic/player

execute unless data storage minecraft:runechant_selected_item {runechant:{id:"minecraft:enchanted_book",tag:{Trim:{}}}} run scoreboard players reset @s isCasting

execute unless data storage minecraft:runechant_inventory {runechant:[{id:"minecraft:lapis_lazuli"}]} run scoreboard players reset @s isCasting

execute unless data storage minecraft:runechant_selected_item {runechant:{id:"minecraft:enchanted_book",tag:{Trim:{}}}} run scoreboard players reset @s QuickCast

execute unless data storage minecraft:runechant_inventory {runechant:[{id:"minecraft:lapis_lazuli"}]} run scoreboard players reset @s QuickCast

function runechant:player/misc/fragments
execute if score *Timer3s Runechant_Timers matches 1 as @s at @s unless score @s LuckCheck >= RNG RNG_Variable run function runechant:player/misc/clear_temporal

execute if score @s EnchantedSpyglass matches 1.. if data storage minecraft:runechant_selected_item {runechant:{id:"minecraft:spyglass",tag:{CustomModelData:19971}}} run function runechant:player/misc/enchanted_spyglass

execute if score @s EnchantedSpyglass matches 1.. if data storage minecraft:runechant_slot106 {runechant:{id:"minecraft:spyglass",tag:{CustomModelData:19971}}} run function runechant:player/misc/enchanted_spyglass

execute if score *Timer2Tick Runechant_Timers matches 1.. store result score @s x run data get storage minecraft:runechant_root runechant.Pos[0] 
execute if score *Timer2Tick Runechant_Timers matches 1.. store result score @s y run data get storage minecraft:runechant_root runechant.Pos[1] 
execute if score *Timer2Tick Runechant_Timers matches 1.. store result score @s z run data get storage minecraft:runechant_root runechant.Pos[2] 

execute if score *Timer2Tick Runechant_Timers matches 1 store result score @s x1 run data get storage minecraft:runechant_root runechant.Pos[0] 1000
execute if score *Timer2Tick Runechant_Timers matches 1 store result score @s y1 run data get storage minecraft:runechant_root runechant.Pos[1] 1000
execute if score *Timer2Tick Runechant_Timers matches 1 store result score @s z1 run data get storage minecraft:runechant_root runechant.Pos[2] 1000

execute if score *Timer2Tick Runechant_Timers matches 2 store result score @s x2 run data get storage minecraft:runechant_root runechant.Pos[0] 1000
execute if score *Timer2Tick Runechant_Timers matches 2 store result score @s y2 run data get storage minecraft:runechant_root runechant.Pos[1] 1000
execute if score *Timer2Tick Runechant_Timers matches 2 store result score @s z2 run data get storage minecraft:runechant_root runechant.Pos[2] 1000

execute if score *TimerTick Runechant_Timers matches 1 run function runechant:player/misc/bossbar

execute if entity @s[tag=NexusTele] run function runechant:player/misc/nexus_teleport
execute if entity @s[tag=NexusTeleComing] run function runechant:player/misc/nexus_teleport_coming
execute if entity @s[tag=NexusTeleGoing2] run function runechant:player/misc/nexus_teleport_going2
execute if entity @s[tag=NexusTeleGoing1] run function runechant:player/misc/nexus_teleport_going1
execute unless dimension runechant:enchanters_nexus run scoreboard players reset @s Enchanters_Minigame

execute if entity @s[tag=DifBark] run function runechant:player/misc/difficulty_barks_chunks

data remove storage minecraft:runechant_attributes runechant
data remove storage minecraft:runechant_food runechant
data remove storage minecraft:runechant_effects runechant
data remove storage minecraft:runechant_onfire runechant
data remove storage minecraft:runechant_selected_item runechant
data remove storage minecraft:runechant_slot100 runechant
data remove storage minecraft:runechant_slot101 runechant
data remove storage minecraft:runechant_slot102 runechant
data remove storage minecraft:runechant_slot103 runechant
data remove storage minecraft:runechant_slot106 runechant
data remove storage minecraft:runechant_slot9 runechant
data remove storage minecraft:runechant_slot10 runechant
data remove storage minecraft:runechant_slot11 runechant
data remove storage minecraft:runechant_slot12 runechant
data remove storage minecraft:runechant_slot13 runechant
data remove storage minecraft:runechant_inventory runechant

